Function
front
Gets the first element of the remaining stream.
front(object)
Include Headers
seqan/pipe.h
Parameters

object | A pop-passive pipeline module. Types: Pipe, Pool

Remarks
front or pop can only be called within a read process surrounded by beginRead and endRead.
Return Values
The first element of the remaining input stream. Return type is Value<TObject>::Type for object type TObject.
See Also
pop
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46